import React from 'react';
import { Modal, Spin } from 'antd';
import {
  WeaLocaleProvider,
  WeaDialog,
  WeaBrowser,
  WeaTools,
} from 'ecCom';
import loadjs from 'loadjs';
import { Button } from 'antd';
import $ from '$';

export default class Home extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
    };
  }

  getFrameParams() {
    let url = window.location.href;
    if (window.frameElement) {
      url = window.frameElement.src;
    }
    let urlParams = url.slice(url.indexOf('?') + 1).split('&');
    let params = [];
    urlParams.forEach((element) => {
      let datas = element.split('=');
      params[datas[0]] = datas[1];
    });
    let host = url.slice(0, url.indexOf('/spa/'));
    params.host = host;
    return params;
  }

  componentDidMount() {
  }

  componentWillUnmount() {
  }

  render() {
    return (
      <WeaLocaleProvider>
        <div className="wea-message-content" />
      </WeaLocaleProvider>
    );
  }
}

